Home Help Center

errors about ice 1.4 in linux

bradbrad Member
I have compiled ice 1.4 in red hat 9
In demo/icestorm/clock ,I run publisher but report error:
Network.cpp:495:Ice:Connection RefusedException:Connection
refused:Connection refused.

Could anyone tell me why?


Ice 1.4 in rh9.0
I also make test ,but report the errors just as the following:
running tests in ./test/iceutil/thread
.....
running thread start test ... thread.cpp 408:iceutil:threadsyscallexception:
thread syscall exception:no such process failed. test thread start failed
test in ./test/iceutil/thread failed with exit status 256

i dont know why?
i have compiled ice 1.4 in linux successfully and also set path and lib environment.

Comments

  • marcmarc FloridaAdministrators, ZeroC Staff Marc LaukienOrganization: ZeroC, Inc.Project: The Internet Communications Engine ZeroC Staff
    brad wrote:
    I have compiled ice 1.4 in red hat 9
    In demo/icestorm/clock ,I run publisher but report error:
    Network.cpp:495:Ice:Connection RefusedException:Connection
    refused:Connection refused.

    Could anyone tell me why?

    This means that the server is either not running, or it is not running on the host/port specified by the proxy. Switch on network tracing for both the client and the server to get more information (Ice.Trace.Network=3).
    brad wrote:
    Ice 1.4 in rh9.0
    I also make test ,but report the errors just as the following:
    running tests in ./test/iceutil/thread
    .....
    running thread start test ... thread.cpp 408:iceutil:threadsyscallexception:
    thread syscall exception:no such process failed. test thread start failed
    test in ./test/iceutil/thread failed with exit status 256

    i dont know why?
    i have compiled ice 1.4 in linux successfully and also set path and lib environment.

    Try to run the test with setting the environment variable LD_ASSUME_KERNEL=2.4.1. The NPTL (new posix thread library) is broken in some versions of Redhat 9. See the file INSTALL.LINUX for more information.

    I also recommend that you use version 2.0.0 of Ice. Version 1.4 is quite old.
Sign In or Register to comment.